Images Fail

#1

I am trying to use images from a Yuneec Typhoon H CGO3 camera. I have tried them using WebODM and in NodeODM and get the following error: :warning: unrecognized file format.
I have processed images from this same camera in WebODM in the past and also in other SFM software without issue.
Thanks for any help.
Tony
Here is one of the images:
YUN00307

0 Likes

#2

I am running a typhoon H w cgo+ and I am having the exact same issue. Does not happen unless I try to process through lightening. If I process on local node I get the dreaded Error code 1! I think the error code one is a memory issue. I tun process images on Drone Deploy and Pix4d no issue. A buddy of mine is running ODM on a bigger badder machine and processed just fine. Following! ==========

0 Likes

#3

There is no Console file at all to share!
image

0 Likes

#4

I set up a local WebODM site and tried the same images. Here was the error in the console:

worker | [2019-02-12 03:16:59,086: ERROR/ForkPoolWorker-19] worker.tasks.process_task[486bbb15-bf6f-4e42-ba1b-4e6cd36ea399]: Uncaught error! This is potentially bad. Please report it to http://github.com/OpenDroneMap/WebODM/issues: “dump” got wrong type of exif value.
worker | 41728 in Exif IFD. Got as <class ‘int’>. Traceback (most recent call last):
worker | File “/usr/local/lib/python3.6/site-packages/piexif/_dump.py”, line 272, in _value_to_bytes
worker | value_str = raw_value + b"\x00" * (4 - length)
worker | TypeError: can only concatenate tuple (not “bytes”) to tuple
worker |
worker | During handling of the above exception, another exception occurred:
worker |
worker | Traceback (most recent call last):
worker | File “/usr/local/lib/python3.6/site-packages/piexif/_dump.py”, line 337, in _dict_to_bytes
worker | offset)
worker | File “/usr/local/lib/python3.6/site-packages/piexif/_dump.py”, line 274, in _value_to_bytes
worker | raise ValueError(“Got invalid type to convert.”)
worker | ValueError: Got invalid type to convert.
worker |
worker | During handling of the above exception, another exception occurred:
worker |
worker | Traceback (most recent call last):
worker | File “/webodm/worker/tasks.py”, line 54, in process_task
worker | task.process()

0 Likes

#5

@acornetto Hey there again I ran the files under resize in webpage and they worked on the lightning node, I am having memory issues when I run local but that is another issue altogether. Did the resize in webpage workaround get you going with the cgo3+ images?

0 Likes

#6

Resizing in browser worked. Also, Piero fixed the issue on the Lighting Network processor for NodeODM as per the following link:

0 Likes